/// <reference types="pcore-pconnect-typedefs" />
import { OnInit, ChangeDetectorRef, OnDestroy } from '@angular/core';
import { FormControl, FormGroup } from '@angular/forms';
import { AngularPConnectData, AngularPConnectService } from '../../../_bridge/angular-pconnect';
import { Utils } from '../../../_helpers/utils';
import { PConnFieldProps } from '../../../_types/PConnProps.interface';
import * as i0 from "@angular/core";
interface DateProps extends PConnFieldProps {
}
declare class MyFormat {
    theDateFormat: any;
    get display(): {
        dateInput: any;
        monthYearLabel: string;
        dateA11yLabel: string;
        monthYearA11yLabel: string;
    };
    get parse(): {
        dateInput: any;
    };
}
export declare class DateComponent implements OnInit, OnDestroy {
    private angularPConnect;
    private cdRef;
    private utils;
    private config;
    pConn$: typeof PConnect;
    formGroup$: FormGroup;
    angularPConnectData: AngularPConnectData;
    configProps$: DateProps;
    label$: string;
    value$: any;
    bRequired$: boolean;
    bReadonly$: boolean;
    bDisabled$: boolean;
    bVisible$: boolean;
    displayMode$?: string;
    controlName$: string;
    bHasForm$: boolean;
    componentReference: string;
    testId: string;
    helperText: string;
    placeholder: string;
    fieldControl: FormControl<string | null>;
    dateFormatInfo: {
        dateFormatString: string;
        dateFormatStringLong: string;
        dateFormatStringLC: string;
        dateFormatMask: string;
    };
    theDateFormat: any;
    constructor(angularPConnect: AngularPConnectService, cdRef: ChangeDetectorRef, utils: Utils, config: MyFormat);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onStateChange(): void;
    checkAndUpdate(): void;
    updateSelf(): void;
    fieldOnDateChange(event: any): void;
    fieldOnBlur(event: any): void;
    hasErrors(): boolean;
    getErrorMessage(): string;
    getFormattedValue(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<DateComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DateComponent, "app-date", never, { "pConn$": { "alias": "pConn$"; "required": false; }; "formGroup$": { "alias": "formGroup$"; "required": false; }; }, {}, never, never, true, never>;
}
export {};
